import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = window.innerWidth;
const height = window.innerHeight;
const centerX = width / 2;
const centerY = height / 2;

const faceStrokeWidth = 20;
const faceColor = '#ecbcb4';



//**********Element1 - Eyes***************

const eyeOffsetX = 100;
const eyeOffsetY = -30;
const eyeRadius = 50;
const eyeStrokeWidth = 5;

const irisRadius = eyeRadius * 0.5;
const irisOffsetX = -irisRadius / 2 + 10;
const irisOffsetY = irisRadius / 2 - 7;
const irisColor = '#88C978';

const pupilRadius = eyeRadius * 0.4;
const pupilOffsetX = irisOffsetX - irisRadius / 4;
const pupilOffsetY = irisOffsetY + irisRadius / 4;

//*********Element2 - Eyebrows*************

const eyebrowOffsetX = -eyeRadius - 10;
const eyebrowOffsetY = -60;
const eyebrowWidth = 100;
const eyebrowHeight = 10;
const eyebrowRotation = 7;

//**********Element3 - Hair************

//https://www.google.com/url?sa=i&url=https%3A%2F%2Fdannyphantom.fandom.com%2Fwiki%2FDanny_Phantom_(character)&psig=AOvVaw3e8HXuMa2sRLYIV0zBsMQw&ust=1599091918088000&source=images&cd=vfe&ved=0CAIQjRxqFwoTCNi8hOCXyesCFQAAAAAdAAAAABAI
const hairPoints =
  -centerX * 0.5 +
  ',' +
  -centerY * 0.8 +
  ' ' +
  -centerX * 0.6 +
  ',' +
  -centerY * 0.1 +
  ' ' +
  -centerX * 0.4 +
  ',' +
  -centerY * 0.5 +
  ' ' +
  170 +
  ',' +
  -centerY * 0.4 +
  ' ' +
  -centerX * 0.05 +
  ',' +
  -centerY * 0.8 +
  ' ' +
  centerX * 0.6 +
  ',' +
  -centerY * 0.3 +
  ' ' +
  centerX * 0 +
  ',' +
  -centerY * 1.32 +
  ' ' +
  centerX * 0.3 +
  ',' +
  -centerY * 2 +
  ' ' +
  centerX * 0.1 +
  ',' +
  -centerY +
  ' ' +
  6 +
  ',' +
  -centerY * 1.1 +
  ' ' +
  centerX * 0.07 +
  ',' +
  -centerY * 1.3 +
  ' ';
const hairColor = 'black';
const hairStrokeColor = 'brown';
const hairStrokeWidth = 5;

//**************Element4 - Nose*************

const nosePoints =
  0 +
  ',' +
  -centerY * 0.2 +
  ' ' +
  centerX * 0.01 +
  ',' +
  centerY * 0.1 +
  ' ' +
  centerX * 0.05 +
  ',' +
  centerY * 0.1 +
  ' ' +
  centerX * 0.05 +
  ',' +
  centerY * 0.2 +
  ' ';
const noseStrokeWidth = 5;

//****************Element5 - Mouth************

const mouthWidth = 20;
const mouthRadius = 80;

const mouthArc = arc()
  .innerRadius(mouthRadius)
  .outerRadius(mouthRadius + mouthWidth)
  .startAngle(Math.PI * 0.7)
  .endAngle(Math.PI * 1.3);

const App = () => (
  <svg width={width} height={height}>
    <g
      transform={`translate(${centerX},${centerY})`}
    >
//*************Element6 - Face************
      
      <circle
        r={centerY - faceStrokeWidth / 1.9}
        fill={faceColor}
        stroke="black"
        stroke-width={faceStrokeWidth}
      />

//********Part of Element1 - Left Eye********
      
      
//**********Element7 - Iris*********************
//**********Part of Element7 - Left Iris********
     
      
//**********Element8 - Pupil*********************
//**********Part of Element8 - Left Pupil********
     
      
//**********Part of Element1 - Right Eye*********
    
      
//**********Part of Element7 - Right Iris********
     
      
//**********Part of Element8 - Right Pupil******
      
      
//**********Part of Element2 - Left Eyebrow******
      
      
//**********Part of Element2 - Right Eyebrow********
     
      
//***********Part of Element5 -  Mouth*****************
     
 
//************Element9 - Eyelashes*******************
      
      
//************Element10 - Ear*****************
      
      
      
//**************Element11 - toungue**********
      
      
//***********Part of Element4 - Nose************
     
//***********Part of Element3 - Hair**********
     
    </g>
  </svg>
);

const rootElement = document.getElementById(
  'root'
);
ReactDOM.render(<App />, rootElement);
